Public Member Functions | Public Attributes | Friends | List of all members
GreatWksTextInternal::Frame Struct Reference

Internal and low level: structure which stores a text position for GreatWksText. More...

## Public Member Functions
| Frame ()
| constructor More...

## Public Attributes
MWAWBox2f | m_pos
| the frame position More...
int | m_page
| the page More...
std::string | m_extra
| extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, Frame const &frm)
| operator<< More...

## Detailed Description

Internal and low level: structure which stores a text position for GreatWksText.

## Constructor & Destructor Documentation

## ◆ Frame()

GreatWksTextInternal::Frame::Frame | ( |  | ) |
| inline

constructor

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | Frame const & | frm
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_extra

std::string GreatWksTextInternal::Frame::m_extra

extra data

Referenced by GreatWksText::readZonePositions().

## ◆ m_page

int GreatWksTextInternal::Frame::m_page

the page

Referenced by GreatWksText::readZonePositions().

## ◆ m_pos

MWAWBox2f GreatWksTextInternal::Frame::m_pos

the frame position

Referenced by GreatWksText::readZonePositions().

The documentation for this struct was generated from the following file:

- GreatWksText.cxx